ServerEvents.recipes(event => {
    //Summoning Altar
      event.shaped('summoningrituals:altar',
        ['121','343',' 5 '], {
          1: 'minecraft:candle',
          2: 'minecraft:wither_skeleton_skull',
          3: '#forge:ingots/arcane_gold',
          4: 'eidolon:lesser_soul_gem',
          5: 'eidolon:worktable'
      }).id('summoningrituals:altar')

    //piglin
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(SummoningOutput.mob('minecraft:piglin').offset(0,4,0))
        .input('minecraft:crimson_fungus')
        .input('minecraft:red_mushroom')
        .input('minecraft:gold_ingot')
        .input('minecraft:bone_block')
        .recipeTime(300)

    //slime
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(SummoningOutput.mob('minecraft:slime').count(2).offset(0,4,0))
        .input('3x minecraft:lime_dye')
        .input('biomesoplenty:flesh')
        .input('minecraft:magma_cream')
        .recipeTime(300)

    //strider
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(SummoningOutput.mob('minecraft:strider').offset(0,4,0))
        .input('3x minecraft:leather')
        .input('minecraft:warped_fungus')
        .input('minecraft:bone_block')
        .recipeTime(300)

    //chicken
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(
            SummoningOutput.mob('minecraft:chicken').offset(0,4,0).count(4)
        )
        .input('3x minecraft:wheat_seeds')
        .input('minecraft:warped_fungus')
        .input('minecraft:bone_meal')
        .recipeTime(300)

    //cow
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(SummoningOutput.mob('minecraft:cow').offset(0,4,0).count(2))
        .input('3x minecraft:leather')
        .input('minecraft:warped_fungus')
        .input('minecraft:bone_meal')
        .input('minecraft:wheat')
        .recipeTime(300)

    //sheep
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(SummoningOutput.mob('minecraft:sheep').offset(0,4,0).count(2))
        .input('3x minecraft:white_wool')
        .input('minecraft:warped_fungus')
        .input('minecraft:bone_meal')
        .recipeTime(300)

    //rabbit
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(SummoningOutput.mob('minecraft:rabbit').offset(0,4,0).count(2))
        .input('minecraft:carrot')
        .input('3x minecraft:leather')
        .input('minecraft:warped_fungus')
        .input('minecraft:bone_meal')
        .recipeTime(300)

    //bee
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(SummoningOutput.mob('minecraft:bee').offset(0,1,0).count(2))
        .input('minecraft:poppy')
        .input('minecraft:warped_fungus')
        .input('minecraft:sugar')
        .recipeTime(300)

    //wolf
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(SummoningOutput.mob('minecraft:wolf').offset(0,1,0).count(1))
        .input('3x minecraft:bone')
        .input('3x minecraft:rotten_flesh')
        .recipeTime(300)

    //blaze
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(SummoningOutput.mob('minecraft:blaze').offset(0,1,0).count(3))
        .input('minecraft:crimson_fungus')
        .input('minecraft:blaze_powder')
        .input('create:blaze_cake')
        .recipeTime(300)

    //blizz
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(
            SummoningOutput.mob('thermal:blizz')
                .offset(0,1,0)
                .data({
                    Health: 60,
                    Attributes: [{ Name: 'generic.max_health',Base: 60 }],
                })
                .count(4)
        )
        .input('minecraft:blaze_rod')
        .input('minecraft:blue_ice')
        .recipeTime(300)

    //blitz
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(
            SummoningOutput.mob('thermal:blitz')
                .offset(0,1,0)
                .data({
                    Health: 60,
                    Attributes: [{ Name: 'generic.max_health',Base: 60 }],
                })
                .count(4)
        )
        .input('ars_nouveau:air_essence')
        .input('minecraft:blaze_rod')
        .recipeTime(300)

    //basalz
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(
            SummoningOutput.mob('thermal:basalz')
                .offset(0,1,0)
                .data({
                    Health: 60,
                    Attributes: [{ Name: 'generic.max_health',Base: 60 }],
                })
                .count(4)
        )
        .input('ars_nouveau:earth_essence')
        .input('minecraft:blaze_rod')
        .recipeTime(300)

    //Zombie Villager
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(
            SummoningOutput.mob('minecraft:zombie_villager')
                .offset(0,1,0)
                .data({
                    Health: 60,
                    Attributes: [{ Name: 'generic.max_health',Base: 60 }],
                })
                .count(3)
        )
        .input('biomesoplenty:flesh')
        .input('occultism:iesnium_ingot')
        .input('evilcraft:dark_power_gem')
        .input('naturesaura:infused_iron')
        .recipeTime(300)

    //Squids
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(
            SummoningOutput.mob('minecraft:squid')
                .offset(0,1,0)
                .data({
                    Health: 60,
                    Attributes: [{ Name: 'generic.max_health',Base: 60 }],
                })
                .count(4)
        )
        .input('minecraft:cod')
        .input('minecraft:ink_sac')
        .input('minecraft:water_bucket')
        .input('minecraft:glowstone_dust')
        .recipeTime(300)

    //Glow Squid
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(
            SummoningOutput.mob('minecraft:glow_squid')
                .offset(0,1,0)
                .data({
                    Health: 60,
                    Attributes: [{ Name: 'generic.max_health',Base: 60 }],
                })
                .count(4)
        )
        .input('minecraft:cod')
        .input('minecraft:ink_sac')
        .input('minecraft:water_bucket')
        .input('minecraft:glowstone_dust')
        .recipeTime(300)

    //Spider
    event.recipes.summoningrituals
        .altar('minecraft:diamond') //catalyst
        .mobOutput(SummoningOutput.mob('minecraft:spider').offset(0,1,0).count(6))
        .input('minecraft:cobweb')
        .input('minecraft:rotten_flesh')
        .input('hexerei:dried_belladonna_flowers')
        .recipeTime(300)

    //Crow - Hexerei
    event.recipes.summoningrituals
        .altar('hexerei:sage_bundle')
        .mobOutput(SummoningOutput.mob('hexerei:crow').offset(0,1,0).count(1))
        .input('3x minecraft:feather')
        .input('hexerei:seed_mixture')
        .input('minecraft:hopper')
        .recipeTime(300)

    //Pufferfish
    event.recipes.summoningrituals
        .altar('minecraft:diamond')
        .mobOutput(SummoningOutput.mob('minecraft:pufferfish').offset(0,1,0).count(4))
        .input('3x minecraft:kelp')
        .input('2x minecraft:sea_pickle')
        .input('minecraft:water_bucket')
        .recipeTime(300)

    //Elder Guardian
    event.recipes.summoningrituals
        .altar('minecraft:diamond')
        .mobOutput(SummoningOutput.mob('minecraft:elder_guardian').offset(0,1,0).count(1))
        .input('3x minecraft:sea_pickle')
        .input('5x minecraft:prismarine_crystals')
        .input('3x minecraft:prismarine_shard')
        .recipeTime(300)

    //fox
    event.recipes.summoningrituals
    .altar('minecraft:sweet_berries')
    .input('2x minecraft:dirt')
    .input('minecraft:grass')
    .input('minecraft:bone_meal')
    .input('minecraft:clay')
    .input('minecraft:grass_block')
    .input('minecraft:stone')
    .input('minecraft:spruce_sapling')
    .mobOutput('minecraft:fox')

    //bat
    event.recipes.summoningrituals
    .altar('minecraft:torch')
    .input('2x minecraft:dirt')
    .input('minecraft:grass')
    .input('minecraft:bone_meal')
    .input('minecraft:clay')
    .input('minecraft:grass_block')
    .input('minecraft:stone')
    .input('minecraft:coal_block')
    .mobOutput('minecraft:bat')

    //cat
    event.recipes.summoningrituals
    .altar('minecraft:cod')   
    .input('2x minecraft:dirt')
    .input('minecraft:grass')
    .input('minecraft:bone_meal')
    .input('minecraft:clay')
    .input('minecraft:grass_block')
    .input('minecraft:stone')
    .input('minecraft:cooked_cod')
    .mobOutput('minecraft:cat')

    //Komodo Dragon
    event.recipes.summoningrituals
    .altar('minecraft:rotten_flesh')
    .input('2x minecraft:sand')
    .input('1x supplementaries:cage')
    .mobOutput('alexsmobs:komodo_dragon')
})